org.apache.poi.hemf.record.emfplus

## Class HemfPlusMisc

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusMisc

-     public class HemfPlusMisc
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HemfPlusMisc.CombineMode`
    `static class` | `HemfPlusMisc.EmfPlusEOF`
    `static class` | `HemfPlusMisc.EmfPlusFlagOnly`
    `static class` | `HemfPlusMisc.EmfPlusGetDC` The EmfPlusGetDC record specifies that subsequent EMF records encountered in the metafile SHOULD be processed.
    `static class` | `HemfPlusMisc.EmfPlusMultiplyWorldTransform` The EmfPlusMultiplyWorldTransform record multiplies the current world space transform by a specified transform matrix.
    `static interface` | `HemfPlusMisc.EmfPlusObjectId`
    `static class` | `HemfPlusMisc.EmfPlusResetClip` The EmfPlusResetClip record resets the current clipping region for the world space to infinity.
    `static class` | `HemfPlusMisc.EmfPlusResetWorldTransform` The EmfPlusResetWorldTransform record resets the current world space transform to the identify matrix.
    `static class` | `HemfPlusMisc.EmfPlusRestore` The EmfPlusRestore record restores the graphics state, identified by a specified index, from a stack of saved graphics states.
    `static class` | `HemfPlusMisc.EmfPlusSave` The EmfPlusSave record saves the graphics state, identified by a specified index, on a stack of saved graphics states.
    `static class` | `HemfPlusMisc.EmfPlusSetAntiAliasMode` The EmfPlusSetAntiAliasMode record specifies the anti-aliasing mode for text output.
    `static class` | `HemfPlusMisc.EmfPlusSetClipPath` The EmfPlusSetClipPath record combines the current clipping region with a graphics path.
    `static class` | `HemfPlusMisc.EmfPlusSetClipRect` The EmfPlusSetClipRect record combines the current clipping region with a rectangle.
    `static class` | `HemfPlusMisc.EmfPlusSetClipRegion` The EmfPlusSetClipRegion record combines the current clipping region with another graphics region.
    `static class` | `HemfPlusMisc.EmfPlusSetCompositingMode` The EmfPlusSetCompositingMode record specifies how source colors are combined with background colors.
    `static class` | `HemfPlusMisc.EmfPlusSetCompositingQuality` The EmfPlusSetCompositingQuality record specifies the desired level of quality for creating composite images from multiple objects.
    `static class` | `HemfPlusMisc.EmfPlusSetInterpolationMode` The EmfPlusSetInterpolationMode record specifies how image scaling, including stretching and shrinking, is performed.
    `static class` | `HemfPlusMisc.EmfPlusSetPageTransform` The EmfPlusSetPageTransform record specifies scaling factors and units for converting page space coordinates to device space coordinates.
    `static class` | `HemfPlusMisc.EmfPlusSetPixelOffsetMode` The EmfPlusSetPixelOffsetMode record specifies how pixels are centered with respect to the coordinates of the drawing surface.
    `static class` | `HemfPlusMisc.EmfPlusSetRenderingOrigin` The EmfPlusSetRenderingOrigin record specifies the rendering origin for graphics output.
    `static class` | `HemfPlusMisc.EmfPlusSetTextRenderingHint` The EmfPlusSetTextRenderingHint record specifies the quality of text rendering, including the type of anti-aliasing.
    `static class` | `HemfPlusMisc.EmfPlusSetWorldTransform` The EmfPlusSetWorldTransform record sets the world transform according to the values in a specified transform matrix.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfPlusMisc()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HemfPlusMisc

          public HemfPlusMisc()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.